Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. If you'd prefer to explore, try our test area to get started. And see here for current known issues.

New Member

IOS webVPN thin-client and java 8

Hi!

Since I upgraded java to version 8 I'm not able to conect trough my cisco webvpn thin-client. I know that I have to disable TLS 1.1 and TLS 1.2 in the Java's config control panel in order to prevent it to use them. After doing that, the applet ran aparently ok, but the traffic didn't go trough the VPN.

In order to find out more about it, I started my wireshark and I discoverd that when some aplication in my pc (ssh client) tries use the vpn, Java sends a TLS hello version 1,2 and my router rejects it and drops the tcp connection.

Does anyone know how to completely disable TLS1.1 and TLS 1.2 or an equivalent solution?

Does anuone have it working using java 8 (last version).

I'm using Firefox as browser runing on linux x64, Windows 7 x86 and Windows 10.

My router is Cisco 1841 runing IOS: c1841-adventerprisek9-mz.151-4.M12a.bin

Thanks!!

Everyone's tags (4)
4 REPLIES
VIP Purple

You can:

You can:

* Downgrade Java

* Upgrade your router so you can run a new IOS.

New Member

I have looked up on the Cisco

I have looked up on the Cisco's website, and my IOS seems to be the last release.

VIP Purple

It's the latest release for

It's the latest release for that platform, but not the latest release.  Basically new code is not released for the 1841 anymore due to its age.

Have a look at the software download tool for a current router, like a 4221, 4331 or even a Cisco 897VA and you'll see there is much newer software available.

New Member

Jeje, Allright. Thanks!

Jeje, Allright.

Thanks!

22
Views
4
Helpful
4
Replies